FluxMQ
ReferenceAdmin API

Subscriptions

MQTT subscription and AMQP 0.9.1 consumer aggregation

GET
/api/v1/subscriptions

Query Parameters

state?string

Filter by client session state (connected by default)

Default"connected"

Value in

  • "all"
  • "connected"
  • "disconnected"
prefix?string

Filter by subscription filter prefix

limit?integer

Maximum number of subscription rows (0 = no limit)

Range0 <= value
page_token?string

Cursor token from a previous response's next_page_token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/subscriptions"
{  "subscriptions": [    {      "filter": "devices/+/events",      "subscriber_count": 42,      "max_qos": 1    }  ],  "next_page_token": "string"}
{  "error": "broker not available"}
{  "error": "broker not available"}
{  "error": "broker not available"}
GET
/api/v1/subscriptions/{filter}/clients

Path Parameters

filter*string

Exact subscription filter (URL-encoded)

Query Parameters

state?string

Filter by client session state (connected by default)

Default"connected"

Value in

  • "all"
  • "connected"
  • "disconnected"
prefix?string

Filter client IDs by prefix

limit?integer

Maximum number of clients (0 = no limit)

Range0 <= value
page_token?string

Cursor token from a previous response's next_page_token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/subscriptions/string/clients"
{  "filter": "devices/+/events",  "clients": [    {      "client_id": "my-device-001",      "qos": 1    }  ],  "next_page_token": "string"}
{  "error": "broker not available"}
{  "error": "broker not available"}
{  "error": "broker not available"}